using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 隐蔽工程验收管理
    /// </summary>
    [Description("隐蔽工程验收管理")]
    [DataRuleField("DEPARTMENT_ID")]
    public class T_TL_PROJECT_HIGHT : MesEntityBase
    {
        /// <summary>
        /// 尾矿库名称 冗余
        /// </summary>
        [Description("尾矿库名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string TAILING_NAME { get; set; }

        /// <summary>
        /// 尾矿库名称
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldForeignKey("Nav_Tailing")]
        public Guid? TAILING_ID { get; set; }

        /// <summary>
        /// 尾矿库
        /// </summary>
        [Description("尾矿库")]
        [FormFieldEdit]
        public T_TL_TAILING Nav_Tailing { get; set; }

        /// <summary>
        /// 工程名称
        /// </summary>
        [Description("工程名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 项目编号
        /// </summary>
        [Description("项目编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 提交人
        /// </summary>
        [Description("提交人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 提交人
        /// </summary>
        [Description("提交人")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 隐蔽工程验收记录
        /// </summary>
        [Description("隐蔽工程验收记录")]
        public ICollection<T_TL_PROJECT_HIGHT_FILE> Nav_Files { get; set; }

        /// <summary>
        /// 隐蔽工程验收记录
        /// </summary>
        [Description("是否验收合格后进行下一阶段施工")]
        [FormFieldEdit]
        public FMTureOrFalse? RESULT { get; set; }

        /// <summary>
        /// 不合格描述 (是否验收合格后进行下一阶段施工)
        /// </summary>
        [DataFieldLength(500)]
        [Description("不合格描述")]
        public string RESULT_REASON { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
    }
}